Healthy relationships are an essential part of being human, romantic *or* platonic.

# Codependency vs Interdependency

In an *interdependent relationship*, both people can be independent, healthy, human beings.

In an interdependent relationship:
- You're two autonomous individuals who made the choice to have that relationship.
- You find personal fulfillment through your own interests and accomplishments, *as well* as the relationship.
- You love and support one another, and respect boundaries set.
- Clearly defined and respected boundaries between partners.
- Individuality in thoughts, beliefs, and pursuits - but not at the exclusion of your partner.
- Recognition of what it means to be a whole person, and not just half a couple.
- A continual effort to practice healthy communication and respect for one another.
- A sense of security in your ability to strengthen the relationship or work with the other to face relationship challenges.

In a *codependent relationship*, one or both individuals in the relationship build an unhealthy reliance on the other person. They start to *need* the other person to be a happy, functioning human. This can lead to subsuming each other, and it can develop into a lack of identity, rage, and frustration. Codependent relationships are not healthy.

Codependent relationships aren't necessarily romantic, they can happen between family members and friends.

Some common signs of codependency include:
- Your sense of self-worth and self-esteem come from outside yourself. Primarily from your parter.
- Your mood, emotions, and decision making ability are governed by the other other person, directly or indirectly.
- You neglect your own personal needs or desires to please and fulfill the needs of your partner.
- Needing to get permission before you make plans with friends, which is different from *notifying* your partner of a desire to see friends.
- Blaming your partner if you feel unhappy or dissatisfied in any way.
- Wanting to know what your partner thinks before you voice or form an opinion.
- Worrying about how to make your partner happy, and considering that more important than making yourself happy.
- Always being together because one or both of you find being apart distressing.

Codependency can happen slowly, over time, without either person realizing it. When you begin a relationship, it's natural to want to spend time together and please the other person. Over time, partners can lose themselves (individuality) in the relationship, and become overly focused and dependent on the other.

## Transitioning from codependency to interdependency
The transition from a codependent relationship to an interdependent relationship can be uncomfortable and unsettling. It will involve working to improve both individually and as a whole.

One way to begin the process would be by opening a channel of communication about the subject. Try to talk about the state of dependency in your relation

<https://psychcentral.com/lib/codependency-vs-interdependency>
## Further reading:
Articles:
- 
